--------Advanced Material Processing--------

local advanced_material_processing_3 = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-blast-furnace"},
	},
	icon = "__industrial-engineering__/graphics/technology/advanced-material-processing-3.png",
	icon_size = 128,
	name = "advanced-material-processing-3",
	--order
	prerequisites = {"advanced-material-processing-2", "advanced-oil-processing"},
	type = "technology",
	unit = {
		count = 500,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

local advanced_material_processing_4 = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-crusher"},
	},
	icon = "__industrial-engineering__/graphics/technology/advanced-material-processing-4.png",
	icon_size = 128,
	name = "advanced-material-processing-4",
	--order
	prerequisites = {"advanced-material-processing-3", "advanced-electronics-2"},
	type = "technology",
	unit = {
		count = 500,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1},
		},
		time = 30
	},
}

local advanced_material_processing_5 = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-washing-plant"},
	},
	icon = "__industrial-engineering__/graphics/technology/advanced-material-processing-5.png",
	icon_size = 128,
	name = "advanced-material-processing-5",
	--order
	prerequisites = {"advanced-material-processing-4"},
	type = "technology",
	unit = {
		count = 1000,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1},
		},
		time = 30
	},
}

data:extend({
	advanced_material_processing_3,
	advanced_material_processing_4,
	advanced_material_processing_5,
})

--------Oil Power--------

local oil_boiler = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-oil-boiler"},
	},
	icon = "__industrial-engineering__/graphics/technology/oil-boiler.png",
	icon_size = 64,
	name = "industrial-engineering-oil-boiler",
	--order
	prerequisites = {"oil-processing"},
	type = "technology",
	unit = {
		count = 200,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
		},
		time = 30
	},
}

local gas_turbine = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-gas-turbine"},
	},
	icon = "__industrial-engineering__/graphics/technology/gas-turbine.png",
	icon_size = 64,
	name = "industrial-engineering-gas-turbine",
	--order
	prerequisites = {"advanced-oil-processing", "industrial-engineering-oil-boiler"},
	type = "technology",
	unit = {
		count = 200,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

data:extend({
	oil_boiler,
	gas_turbine,
})